!------------------------------------------------------------------------------
!
!  Module name:
!
!    precision
!
!  Purpose:
!
!    This module defines kind values for single and double
!    precision real variables.
!
!------------------------------------------------------------------------------

MODULE precision

  ! Set up values for single or double precision

  INTEGER, PARAMETER :: sp = KIND(1.0E0)   ! Returns kind value for single prec
  INTEGER, PARAMETER :: dp = KIND(1.0D0)   ! Returns kind value for double prec

END MODULE precision
